Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.behaviors
Class AutomatingTestCase

    java.lang.Object
      org.picocontainer.behaviors.AutomatingTestCase

    public class AutomatingTestCase

extends Object

Nested Class Summary
`static class` | `AutomatingTestCase.Bar`
`static class` | `AutomatingTestCase.Foo`

Constructor Summary
`AutomatingTestCase()`

Method Summary
`void` | `testAutomaticBehavior()`
`void` | `testAutomaticBehaviorByBuilder()`
`void` | `testAutomaticBehaviorByBuilderADifferentWay()`
`void` | `testAutomaticBehaviorByBuilderADifferentWayViaAdapter()`
`void` | `testAutomaticBehaviorByBuilderViaAdapter()`
`void` | `testAutomaticBehaviorViaAdapter()`
`void` | `testAutomaticBehaviorWorksForAdaptiveBehaviorToo()`
`void` | `testAutomaticBehaviorWorksForAdaptiveBehaviorTooViaAdapter()`
`void` | `testNonAutomaticBehaviorAsContrastToTheAbove()`
`void` | `testNonAutomaticBehaviorAsContrastToTheAboveViaAdapter()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutomatingTestCase

    public AutomatingTestCase()

Method Detail

### testAutomaticBehavior

    public void testAutomaticBehavior()

### testAutomaticBehaviorViaAdapter

    public void testAutomaticBehaviorViaAdapter()

### testNonAutomaticBehaviorAsContrastToTheAbove

    public void testNonAutomaticBehaviorAsContrastToTheAbove()

### testNonAutomaticBehaviorAsContrastToTheAboveViaAdapter

    public void testNonAutomaticBehaviorAsContrastToTheAboveViaAdapter()

### testAutomaticBehaviorByBuilder

    public void testAutomaticBehaviorByBuilder()

### testAutomaticBehaviorByBuilderViaAdapter

    public void testAutomaticBehaviorByBuilderViaAdapter()

### testAutomaticBehaviorByBuilderADifferentWay

    public void testAutomaticBehaviorByBuilderADifferentWay()

### testAutomaticBehaviorByBuilderADifferentWayViaAdapter

    public void testAutomaticBehaviorByBuilderADifferentWayViaAdapter()

### testAutomaticBehaviorWorksForAdaptiveBehaviorToo

    public void testAutomaticBehaviorWorksForAdaptiveBehaviorToo()

### testAutomaticBehaviorWorksForAdaptiveBehaviorTooViaAdapter

    public void testAutomaticBehaviorWorksForAdaptiveBehaviorTooViaAdapter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.